 <div class="pal_new">
	
		<h2>Edit Work Category</h2>
		<div class="pal_br_add">
		<a href="/settings/work_category" class="btn btn-success btn-lg btn-right">Back</a>
		</div>
		<form method="post" action="/settings/workcat_edit" onsubmit="return validation();">
				<div class="col-md-12">
			{{#each items as |item|}}
				<div class="col-md-6 form-group">
				<label>Service Name<span class="required">*</span></label>
					<select class="form-control" name="service_name" id="service_name" onChange="sel(this.value);">
						<option value="">--Select Service--</option>
						{{#each ../btyp as |bty|}}
							{{#if (ifCond bty.id item.service_id) }}
								<option value="{{bty.id}}" selected>{{bty.name}}</option>
							{{else}}
								<option value="{{bty.id}}">{{bty.name}}</option>
							{{/if}}
						{{/each}}
					</select>
				</div>

				<div class="col-md-6 form-group">
					<label>Service Category Name<span class="required">*</span></label>
					<select class="form-control" name="sub_name" id="sub_name" onChange="sel_brand(this.value);sel_work(this.value);">
						<option value="">--Select Service Category--</option>
						{{#each ../subca as |sub|}}
							{{#if (ifCond sub.id item.subcategory_id) }}
								<option value="{{sub.id}}" selected>{{sub.subcategory}}</option>
							{{else}}
								<option value="{{sub.id}}">{{sub.subcategory}}</option>
							{{/if}}
						{{/each}}
					</select>
				</div>

				{{#if (check item.brand_id)}}
				<span id="dis_brand" style="display: block;">
					<div class="col-md-6 form-group">
						<label>Brand Name<span class="required">*</span></label>
							<select class="form-control" name="brand_na" id="brand_na" onChange="sel(this.value);">
								<option value="">--Select Brand--</option>
								{{#each ../selcs as |sel|}}
									{{#if (ifCond sel.id item.brand_id) }}
									<option value="{{sel.id}}" selected>{{sel.brand_name}}</option>
									{{else}}
									<option value="{{sel.id}}">{{sel.brand_name}}</option>
									{{/if}}
								{{/each}}
							</select>
					</div>
				</span>
				{{/if}}
				<span id="brand"></span>
				
			
            <div class="col-md-6 form-group">
                <label>Work Name<span class="required">*</span></label>
                <select class="form-control" name="work_name" id="work_name">
                    <option value="">--Select Work Name--</option>
                    {{#each ../works as |work|}}
                        {{#if (ifCond work.id item.work_id) }}
                            <option value="{{work.id}}" selected>{{work.work_name}}</option>
                        {{else}}
                            <option value="{{work.id}}">{{work.work_name}}</option>
                        {{/if}}
                    {{/each}}
                </select>
			</div>

			
			<div class="col-md-6 form-group">
				<label>Work Category Name<span class="required">*</span></label>
					<input type="text" class="form-control" name ="work_cat_name" id="work_cat_name" placeholder = "Work Category Name" value="{{item.work_category}}" />
					<input type="hidden" value="{{item.id}}" name="bid" />
			</div>

			<!--<div class="col-md-6 form-group">
				<label>Price<span class="required">*</span></label>
					<input type="text" class="form-control" name ="price" id="price" placeholder = "Price" value="{{item.price}}" />
					
			</div>-->
			{{/each}}
			<div class="col-md-12">
			<button type="submit" class="btn btn-primary">Update</button>
			</div>
			</div>
		</form>
		</div>
		
		<script>
			function sel(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getjson',
                      success: function(data) {
						if(data == 1){
							swal("Service Category Not Available");
							$('#sub_name').val('');
							$('#brand').html('');
						}else{
							$('#sub_name').html(data);
						}
                      }
                  });
			}

			function sel_brand(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getbrand',
                      success: function(data) {

							if(data != '1'){
							$('#brand').html(data);
							$('#dis_brand').hide();
							$('#brand_na').val('');
							}else{
							$('#brand').html('');
							$('#dis_brand').hide();
							}
						
                      }
                  });
			}


			
			function sel_work(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getwork',
                      success: function(data) {

							if(data != '1'){
							$('#work_name').html(data);
							}else{
								swal('No Work Available');
								var opt = '<option value="">--Select Work--</option>';
								$('#work_name').html(opt);
								return false;
							}
						
                      }
                  });
			}

		</script>
		<script>
			function validation(){
				var brand_name = $('#brand_name').val();
				var service_name = $('#service_name').val();
				var sub_name = $('#sub_name').val();
				var work_name = $('#work_name').val();
				var work_cat = $('#work_cat').val();

				
				if(service_name == ""){
					swal('Select Service Name');
					return false;
				}else if(sub_name == ""){
					swal('Select Service Category');
					return false;
				}else if(brand_name == ""){
					swal('Select Brand Name');
					return false;
				}else if(work_name == ""){
					swal('Select Work Name');
					return false;
				}else if(work_cat == ""){
					swal('Enter Work Category');
					return false;
				}
			}
		</script>
		
	